import type {
  DictCodeDataItem,
  DictionaryDetailData,
  DictionaryDetailParams
} from '@/types/DictionaryStore';
import { request } from '@/utils/request';

/**
 * 字典明细数据查询
 * @param data 字典明细查询参数
 * @returns 字典明细查询响应数据
 */
export const getDictDetailDataRequest = (data: DictionaryDetailParams) =>
  request<DictionaryDetailData>(
    '/portal/portalSysDict/findPortalSysDict',
    'post',
    data,
    {
      'Content-Type': 'multipart/form-data'
    }
  );

export const getDictsDataByCodeArrary = (data: string[]) =>
  request<DictCodeDataItem[]>('/portal/public/api/web/getDict', 'post', data);

/**
 * 根据类型获取字典项
 * @param data
 * @returns
 */
export const getClassify = (data) =>
  request<string>('/bi-manager/dict/getClassify', 'post', data);